package com.example.chemical.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.example.chemical.R
import com.rc.httpcore.bean.QueryTwoListBean

class UesItemDetail :
    BaseQuickAdapter<QueryTwoListBean, BaseViewHolder>(R.layout.item_ues_details) {

    override fun convert(holder: BaseViewHolder, item: QueryTwoListBean) {
        holder.setText(R.id.tagCode, "${item.tagCode}")
        holder.setText(R.id.specNum, "${item.specNum}${item.specUnit}/${item.packUnit}")
        holder.setText(R.id.surplus, "${item.surplus}${item.specUnit}")
        holder.setText(R.id.belongName, "${item.belongName}")
        holder.setText(R.id.storage, "${item.cabinetName}-${item.doorName}-${item.layers}层")
        if (item.statusStr!=null){
            holder.setText(R.id.statusStr, "${item.statusStr}")
        }

    }
}